Contact Free trial Login

Amazon S3 - Upgrade and Migrate - Mule 4

Supported Upgrade Paths

From Version To Version

5.4.0

5.5.0

Changes in This Release

  • Added the Session Token field to the connector configuration to support the use of AWS temporary credentials.

  • Upgraded aws-connector-commons from 2.1.1 to 2.2.0.

Requirements

Ensure your system meets the following compatibility requirements before you perform the upgrade:

Application/Service Version

Mule

4.1.1 and later

AWS SDK for Java

1.11.649

Upgrade Prerequisites

Before you perform the upgrade, create a backup of your files, data, and configuration in case you need to restore to the previous version.

Upgrade Steps

Follow these steps to perform the upgrade to version 5.5.0:

  • Download the current version.

  • Import data.

  • Update the configuration.